import logging

from etcd3_wrapper import Etcd3Wrapper
from decouple import config, UndefinedValueError

logging.basicConfig(
    level=logging.DEBUG,
    filename="log.txt",
    filemode="a",
    format='%(asctime)s,%(msecs)d %(levelname)-8s [%(filename)s:%(lineno)d] %(message)s',
    datefmt='%Y-%m-%d:%H:%M:%S',
)

# load configs
APP_PORT = config("APP_PORT", 5000)
try:
    etcd_client = Etcd3Wrapper(host=config("ETCD_HOST"), port=config("ETCD_PORT"))
    STRIPE_API_PRIVATE_KEY = config("STRIPE_API_PRIVATE_KEY")
except UndefinedValueError as uve:
    print(str(uve))
    exit(1)
